/*
	Authenticate Module For LUSScreenSaver
	Copyright (C) 2003 ONO, Masayuki <mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _LESS_UNSATICEFACTORY_SCREENSAVER_AUTH_H_
#define _LESS_UNSATICEFACTORY_SCREENSAVER_AUTH_H_

#include "LUSScreenSaverAuthInterface.h"
#include "LUSScreenSaverPassInputDlg.h"

class LUSScreenSaverAuth : public LUSScreenSaverAuthInterface
{
public:
	LUSScreenSaverAuth();
	virtual ~LUSScreenSaverAuth();

	QRESULT queryInterface(const QUuid&, QUnknownInterface**);
	Q_REFCOUNT

	virtual void Start( int, bool = FALSE );
	virtual bool Stop( int );
	virtual void Delete();
private:
	LUSPassInputDlg* m_pWidget;
	int m_nID;
	ulong ref;
};

#endif /* _LESS_UNSATICEFACTORY_SCREENSAVER_AUTH_H_ */
